Subject: bug#36496: [PATCH] Describe the rx notation in the lisp manual

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jul 2019 22:10:38 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 6 Jul 2019 20:56:57 +0200
> Cc: [email-masked]
> 
> >> * lisp/emacs-lisp/rx.el (rx): Replace long description with a condensed
> >> summary of the rx syntax, with reference to the manual section.
> > 
> > This is OK, but it is inconsistent wrt whether each construct's
> > description ends in a period.  I suggest to end them all with a
> > period.
> 
> Added, except at the end of the lists of aliases which looked better with a minimum of punctuation (and weren't sentences to begin with).

It still looks jarring:

  +(seq RX...)    Match the RXs in sequence.  Alias: :, sequence, and
  +(or RX...)     Match one of the RXs.  Alias: |
  +
  +(zero-or-more RX...) Match RXs zero or more times.  Alias: 0+
  +(one-or-more RX...)  Match RXs one or more times.  Alias: 1+
  +(zero-or-one RX...)  Match RXs or the empty string.  Alias: opt, optional

Honestly, they look like incorrect English: a sentence, starting with
a capital letter, but not ending with a period.  I hope you will
reconsider.